Skip to main content
Back to API List Exports test cases from a Batch Test Suite and returns a download link. This API supports exporting test cases created through file upload only — it does not support test data added manually.
PropertyValue
MethodPOST
Endpointhttps://{host}/api/public/bot/{botId}/testsuite/{testSuiteName}/export
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Batch Tests Management; Admin Console: Batch Tests Management

Query Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.aiRequired
BotIDBot ID or Stream ID, accessible under General Settings on the App Builder.Required
testSuiteNameName of the test suite to export. Note: Only Custom Batch Test Suites can be exported.Required

Sample Request

curl -X POST \
  https://{host}/api/public/bot/{botId}/testsuite/{testSuiteName}/export \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'bot-language: {language-code}'

Body Parameters

No body parameters are passed.

Sample Response

{
    "downloadUrl": "{{downloadURL}}",
    "name": "Batch Test Name",
    "description": "Batch Test Description"
}